//=============================================================================
//  Tenor recroder fingering plugin for MuseScore
//
//  Copyright (C)2012 Ian McLeod (underquark)
//  Based on 2010 work by Nicolas Froment (lasconic)
//
//  This program is free software; you can redistribute it and/or modify
//  it under the terms of the GNU General Public License version 2.
//
//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.
//
//  You should have received a copy of the GNU General Public License
//  along with this program; if not, write to the Free Software
//  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
//=============================================================================

var notes = [ "c", "r", "d", "t", "e", "f", "u", "g", "i", "a", "o", "b", 
"C", "R", "D", "T", "E", "F", "U", "G", "I", "A", "O", "B",
 "K"] 

//---------------------------------------------------------
//    init
//---------------------------------------------------------

function init()
      {
      }

//-------------------------------------------------------------------
//    run
//-------------------------------------------------------------------

function run()
      {
      var cursor   = new Cursor(curScore);
      cursor.staff = 0;
      cursor.voice = 0;
      cursor.rewind();  // move cursor to beginnng
      var font = new QFont("Tinyholes_Recorder", 60);
      while (!cursor.eos()) {
            if (cursor.isChord()) {
                  
                  var pitch = cursor.chord().topNote().pitch;
                  var index = pitch - 60;
                  if(index >= 0 && index < notes.length){ 
                      var glyph  = new Text(curScore);
                      glyph.text = notes[index];
                      glyph.defaultFont = font;
                      glyph.yOffset = 7;
                      glyph.xOffset = -2  
                      cursor.putStaffText(glyph);
                      }
                  }
            cursor.next();
            }
      }

var mscorePlugin = {
      menu: 'Plugins.Fingering - Tenor Recorder',
      init: init,
      run:  run
      };

mscorePlugin;

